summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Benjamin Trigona-Harany <slackbuilds@jaxartes.net>2014-07-25 09:01:26 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-07-26 19:08:04 +0700
commitd36b85e5185fa09892c18a31dc8b0f5c9c3c14c0 (patch)
tree8a50bd4658872a7b58cf26556bb6b309b07b7af3
parentccec3fa6ae3d5220171bdb142955b3e78abce361 (diff)
downloadslackbuilds-d36b85e5185fa09892c18a31dc8b0f5c9c3c14c0.tar.gz
slackbuilds-d36b85e5185fa09892c18a31dc8b0f5c9c3c14c0.tar.xz
gis/prepair: Added (polygon repair tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--gis/prepair/README4
-rw-r--r--gis/prepair/prepair.SlackBuild100
-rw-r--r--gis/prepair/prepair.info10
-rw-r--r--gis/prepair/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/gis/prepair/README b/gis/prepair/README
new file mode 100644
index 0000000000..c6bde5a5e4
--- /dev/null
+++ b/gis/prepair/README
@@ -0,0 +1,4 @@
+prepair permits us to easily repair "broken" GIS polygons according to the
+international standard ISO19107 (Geographic information — Spatial schema).
+Given one input polygon, it automatically repairs it and returns back a valid
+polygon.
diff --git a/gis/prepair/prepair.SlackBuild b/gis/prepair/prepair.SlackBuild
new file mode 100644
index 0000000000..7115b3c05b
--- /dev/null
+++ b/gis/prepair/prepair.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# SlackBuild script for prepair
+
+# Copyright 2014 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=prepair
+VERSION=${VERSION:-0.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# fix GDAL include dir
+sed -i "s/<gdal\/ogrsf_frmts.h>/<ogrsf_frmts.h>/g" definitions.h
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ ..
+ make VERBOSE=1
+
+mkdir -p $PKG/usr/bin
+mv prepair $PKG/usr/bin
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/prepair/prepair.info b/gis/prepair/prepair.info
new file mode 100644
index 0000000000..c222ac63ec
--- /dev/null
+++ b/gis/prepair/prepair.info
@@ -0,0 +1,10 @@
+PRGNAM="prepair"
+VERSION="0.7"
+HOMEPAGE="http://tudelft-gist.github.io/prepair/"
+DOWNLOAD="https://github.com/tudelft-gist/prepair/archive/v0.7.tar.gz"
+MD5SUM="b706bb195d824bd4acf7225c6daead06"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="CGAL gdal"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/gis/prepair/slack-desc b/gis/prepair/slack-desc
new file mode 100644
index 0000000000..9cb61330f8
--- /dev/null
+++ b/gis/prepair/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+prepair: prepair (polygon repair tool)
+prepair:
+prepair: prepair permits us to easily repair "broken" GIS polygons according to
+prepair: the international standard ISO19107 (Geographic information — Spatial
+prepair: schema).
+prepair:
+prepair:
+prepair:
+prepair:
+prepair:
+prepair: